### Enumeration

# GdkX11 X11DeviceType

since: 4.0

#### Declaration

    enum GdkX11.X11DeviceType

#### Description

No description available.

Available since: 4.0

#### Members

`GDK_X11_DEVICE_TYPE_LOGICAL`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 4.0
`GDK_X11_DEVICE_TYPE_PHYSICAL`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 4.0
`GDK_X11_DEVICE_TYPE_FLOATING`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 4.0